//////////////////////////////////////////
// BCCMaker.cpp
//Copyright (c) 11/09/2020 by BCCSkelton
//////////////////////////////////////////
#include	"BCCMaker.h"
//☆ユーザー定義へーッダーファイルを取り込む
#include	"User.h"
#include	"BCCMakerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//*.makファイル付きで起動する場合（g_ByFileフラグを立てる）
	if(Arg.c() > 1)	g_ByFile = TRUE;

	//２重起動防止
	if(!makedlg.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow(NULL, "BCCMaker");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}
	//モーダルダイアログとして起動している
	makedlg.DoModal(NULL, "IDD_MAKE", makedlgProc, hInstance);

	return 0;
}
